## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDecimalFormatSymbols Class Reference

Collaboration diagram for XalanDecimalFormatSymbols:

[legend]
List of all members.

## Public Member Functions

- XalanDecimalFormatSymbols (MemoryManagerType &theManager)
- XalanDecimalFormatSymbols (const XalanDecimalFormatSymbols &theSource, MemoryManagerType &theManager)
- ~XalanDecimalFormatSymbols ()
- XalanDecimalFormatSymbols & operator= (const XalanDecimalFormatSymbols &theRHS)
- const XalanDOMString & getCurrencySymbol () const
    Retrieve the string denoting the local currency, "$", for example.
- XalanDOMChar getDecimalSeparator () const
    Retrieve the character used for decimal sign, '.' for example.
- XalanDOMChar getDigit () const
    Retrieve character used for a digit in a pattern.
- XalanDOMChar getGroupingSeparator () const
    Retrieve the character used for thousands separator, "," for example.
- const XalanDOMString & getInfinity () const
    Retrieve the string used to represent infinity.
- const XalanDOMString & getInternationalCurrencySymbol () const
    Retrieve the international string denoting the local currency.
- XalanDOMChar getMinusSign () const
    Retrieve the character used to represent minus sign.
- XalanDOMChar getMonetaryDecimalSeparator () const
    Retrieve the monetary decimal separator.
- const XalanDOMString & getNaN () const
    Retrieve the string used for a numeric value that cannot be represented as a number.
- XalanDOMChar getPatternSeparator () const
    Retrieve the character used to separate positive and negative subpatterns in a pattern.
- XalanDOMChar getPercent () const
    Retrieve the character used for percent sign, "%," for example.
- XalanDOMChar getPerMill () const
    Retrieve the character used for per thousand sign.
- XalanDOMChar getZeroDigit () const
    Retrieve the character used for zero.
- void setCurrencySymbol (const XalanDOMString &theCurrencySymbol)
    Sets the string denoting the local currency, "$", for example.
- void setCurrencySymbol (const XalanDOMChar *theCurrencySymbol)
    Sets the string denoting the local currency, "$", for example.
- void setDecimalSeparator (XalanDOMChar theDecimalSeparator)
    Sets the character used for decimal sign, '.' for example.
- void setDigit (XalanDOMChar theDigit)
    Sets the character used for a digit in a pattern.
- void setGroupingSeparator (XalanDOMChar theGroupingSeparator)
    Sets the character used for thousands separator, "," for example.
- void setInfinity (const XalanDOMString &theInfinity)
    Sets the string used to represent infinity.
- void setInfinity (const XalanDOMChar *theInfinity)
    Sets the string used to represent infinity.
- void setInternationalCurrencySymbol (const XalanDOMString &theInternationalCurrencySymbol)
    Sets the international string denoting the local currency.
- void setInternationalCurrencySymbol (const XalanDOMChar *theInternationalCurrencySymbol)
    Sets the international string denoting the local currency.
- void setMinusSign (XalanDOMChar theMinusSign)
    Sets the character used to represent minus sign.
- void setMonetaryDecimalSeparator (XalanDOMChar theMonetaryDecimalSeparator)
    Sets the monetary decimal separator.
- void setNaN (const XalanDOMString &theNaN)
    Sets the string used for a numeric value that cannot be represented as a number.
- void setNaN (const XalanDOMChar *theNaN)
    Sets the string used for a numeric value that cannot be represented as a number.
- void setPatternSeparator (XalanDOMChar thePatternSeparator)
    Sets the character used to separate positive and negative subpatterns in a pattern.
- void setPercent (XalanDOMChar thePercent)
    Sets the character used for percent sign, "%," for example.
- void setPerMill (XalanDOMChar thePerMill)
    Sets the character used for per thousand sign.
- void setZeroDigit (XalanDOMChar theZeroDigit)
    Sets the character used for zero.
- bool operator== (const XalanDecimalFormatSymbols &theRHS) const
- bool operator!= (const XalanDecimalFormatSymbols &theRHS) const

## Constructor & Destructor Documentation

XalanDecimalFormatSymbols::XalanDecimalFormatSymbols | ( | MemoryManagerType & | theManager | ) | `[explicit]`

XalanDecimalFormatSymbols::XalanDecimalFormatSymbols | ( | const XalanDecimalFormatSymbols & | theSource,
|  | MemoryManagerType & | theManager
| ) |

XalanDecimalFormatSymbols::~XalanDecimalFormatSymbols | ( |  | ) |

## Member Function Documentation

const XalanDOMString& XalanDecimalFormatSymbols::getCurrencySymbol | ( |  | ) | const

Retrieve the string denoting the local currency, "$", for example.

Returns:
  string used for local currency

XalanDOMChar XalanDecimalFormatSymbols::getDecimalSeparator | ( |  | ) | const

Retrieve the character used for decimal sign, '.' for example.

Returns:
  character used for decimal sign

XalanDOMChar XalanDecimalFormatSymbols::getDigit | ( |  | ) | const

Retrieve character used for a digit in a pattern.

Returns:
  character used for a digit in a pattern

XalanDOMChar XalanDecimalFormatSymbols::getGroupingSeparator | ( |  | ) | const

Retrieve the character used for thousands separator, "," for example.

Returns:
  character used for thousands separator

const XalanDOMString& XalanDecimalFormatSymbols::getInfinity | ( |  | ) | const

Retrieve the string used to represent infinity.

Returns:
  string used to represent infinity

const XalanDOMString& XalanDecimalFormatSymbols::getInternationalCurrencySymbol | ( |  | ) | const

Retrieve the international string denoting the local currency.

Returns:
  international string denoting the local currency

XalanDOMChar XalanDecimalFormatSymbols::getMinusSign | ( |  | ) | const

Retrieve the character used to represent minus sign.

Returns:
  character used to represent minus sign

XalanDOMChar XalanDecimalFormatSymbols::getMonetaryDecimalSeparator | ( |  | ) | const

Retrieve the monetary decimal separator.

Returns:
  character used to separate decimal portion of currency

const XalanDOMString& XalanDecimalFormatSymbols::getNaN | ( |  | ) | const

Retrieve the string used for a numeric value that cannot be represented as a number.

Returns:
  string representing "not a number" value

XalanDOMChar XalanDecimalFormatSymbols::getPatternSeparator | ( |  | ) | const

Retrieve the character used to separate positive and negative subpatterns in a pattern.

Returns:
  character used to separate positive and negative subpatterns

XalanDOMChar XalanDecimalFormatSymbols::getPercent | ( |  | ) | const

Retrieve the character used for percent sign, "%," for example.

Returns:
  character used for percent sign

XalanDOMChar XalanDecimalFormatSymbols::getPerMill | ( |  | ) | const

Retrieve the character used for per thousand sign.

Returns:
  character used for per thousand sign

XalanDOMChar XalanDecimalFormatSymbols::getZeroDigit | ( |  | ) | const

Retrieve the character used for zero.

Returns:
  character used for zero

bool XalanDecimalFormatSymbols::operator!= | ( | const XalanDecimalFormatSymbols & | theRHS | ) | const

XalanDecimalFormatSymbols& XalanDecimalFormatSymbols::operator= | ( | const XalanDecimalFormatSymbols & | theRHS | ) |

bool XalanDecimalFormatSymbols::operator== | ( | const XalanDecimalFormatSymbols & | theRHS | ) | const

void XalanDecimalFormatSymbols::setCurrencySymbol | ( | const XalanDOMChar * | theCurrencySymbol | ) |

Sets the string denoting the local currency, "$", for example.

Parameters:

  theCurrencySymbol | symbol used for local currency

void XalanDecimalFormatSymbols::setCurrencySymbol | ( | const XalanDOMString & | theCurrencySymbol | ) |

Sets the string denoting the local currency, "$", for example.

Parameters:

  theCurrencySymbol | symbol used for local currency

void XalanDecimalFormatSymbols::setDecimalSeparator | ( | XalanDOMChar | theDecimalSeparator | ) |

Sets the character used for decimal sign, '.' for example.

Parameters:

  theDecimalSeparator | character used for decimal sign

void XalanDecimalFormatSymbols::setDigit | ( | XalanDOMChar | theDigit | ) |

Sets the character used for a digit in a pattern.

Parameters:

  theDigit | character used for a digit in a pattern

void XalanDecimalFormatSymbols::setGroupingSeparator | ( | XalanDOMChar | theGroupingSeparator | ) |

Sets the character used for thousands separator, "," for example.

Parameters:

  theGroupingSeparator | character used for thousands separator

void XalanDecimalFormatSymbols::setInfinity | ( | const XalanDOMChar * | theInfinity | ) |

Sets the string used to represent infinity.

Parameters:

  theInfinity | string used to represent infinity

void XalanDecimalFormatSymbols::setInfinity | ( | const XalanDOMString & | theInfinity | ) |

Sets the string used to represent infinity.

Parameters:

  theInfinity | string used to represent infinity

void XalanDecimalFormatSymbols::setInternationalCurrencySymbol | ( | const XalanDOMChar * | theInternationalCurrencySymbol | ) |

Sets the international string denoting the local currency.

Parameters:

  theInternationalCurrencySymbol | international string denoting the local currency

void XalanDecimalFormatSymbols::setInternationalCurrencySymbol | ( | const XalanDOMString & | theInternationalCurrencySymbol | ) |

Sets the international string denoting the local currency.

Parameters:

  theInternationalCurrencySymbol | international string denoting the local currency

void XalanDecimalFormatSymbols::setMinusSign | ( | XalanDOMChar | theMinusSign | ) |

Sets the character used to represent minus sign.

Parameters:

  theMinusSign | character used to represent minus sign

void XalanDecimalFormatSymbols::setMonetaryDecimalSeparator | ( | XalanDOMChar | theMonetaryDecimalSeparator | ) |

Sets the monetary decimal separator.

Parameters:

  theMonetaryDecimalSeparator | character used to separate decimal portion of currency

void XalanDecimalFormatSymbols::setNaN | ( | const XalanDOMChar * | theNaN | ) |

Sets the string used for a numeric value that cannot be represented as a number.

Parameters:

  theNaN | string representing "not a number" value

void XalanDecimalFormatSymbols::setNaN | ( | const XalanDOMString & | theNaN | ) |

Sets the string used for a numeric value that cannot be represented as a number.

Parameters:

  theNaN | string representing "not a number" value

void XalanDecimalFormatSymbols::setPatternSeparator | ( | XalanDOMChar | thePatternSeparator | ) |

Sets the character used to separate positive and negative subpatterns in a pattern.

Parameters:

  thePatternSeparator | character used to separate positive and negative subpatterns

void XalanDecimalFormatSymbols::setPercent | ( | XalanDOMChar | thePercent | ) |

Sets the character used for percent sign, "%," for example.

Parameters:

  thePercent | character used for percent sign

void XalanDecimalFormatSymbols::setPerMill | ( | XalanDOMChar | thePerMill | ) |

Sets the character used for per thousand sign.

Parameters:

  thePerMill | character used for per thousand sign

void XalanDecimalFormatSymbols::setZeroDigit | ( | XalanDOMChar | theZeroDigit | ) |

Sets the character used for zero.

Parameters:

  theZeroDigit | character used for zero

The documentation for this class was generated from the following file:

- XalanDecimalFormatSymbols.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.